QueryProcessorConfiguration
Keywords: uk.ac.bbk.dcs.automed.qproc.QueryProcessorConfiguration class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class QueryProcessorConfiguration

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.QueryProcessorConfiguration

Direct Known Subclasses:
  P2PQueryProcessorConfiguration, QueryAnnotationConfiguration, QueryEvaluationConfiguration, QueryOptimisationConfiguration, QueryReformulationConfiguration, XMLQPConfiguration

    public class QueryProcessorConfiguration

extends java.lang.Object

QueryProcessingConfiguration.java A global configuration class that encapsulates different aspects of a query processing 'process'
Each phase in query processing can provide their own configuration class as long as it extends this class.

Author:
  Lucas Zamboulis

Field Summary
`static int` | `QUERY_LANGUAGE_IQL`
`static int` | `QUERY_LANGUAGE_XQUERY`
`static int` | `RANGE_BOTH`
`static int` | `RANGE_LOWER`
`static int` | `RANGE_UPPER`
`static int` | `REFORMULATION_BAV`
`static int` | `REFORMULATION_GAV`
`static int` | `REFORMULATION_LAV_INV_RULES`

Constructor Summary
`QueryProcessorConfiguration()` Creates a new instance of QueryProcessingConfiguration

Method Summary
`void` | `addFunctionTable(FunctionTable ft)` Adds the input function table to the existing function table contained by this object (every QueryProcessorConfiguration object is instantiated with `StandardFunctionTable`)
`void` | `addFunctionTable(FunctionTable[] fts)` Adds the input function tables to the existing function table contained by this object (every QueryProcessorConfiguration object is instantiated with `StandardFunctionTable`)
`java.lang.String` | `getAnnotator()` Return the logical optimiser name
`boolean` | `getCacheStatus()`
`boolean` | `getDisjointIDs()`
`java.lang.String` | `getEvaluator()` Return evaluator name
`FunctionTable` | `getFunctionTable()`
`java.lang.String` | `getFunctionTableString()`
`boolean` | `getOptimisationState()` Return the optimisation state
`java.lang.String` | `getOptimiser()` Return the logical optimiser name
`QualityIndicator` | `getQualityIndicator()`
`QueryEvaluationConfiguration` | `getQueryEvaluationConfig()`
`int` | `getQueryLanguage()` Return the query language
`java.lang.String` | `getQueryLanguageString()`
`int` | `getRangeSemantics()` Get range semantics, i.e.
`java.lang.String` | `getRangeSemanticsString()`
`static java.lang.String` | `getRangeSemanticsString(int rangeSemantics)`
`int` | `getReformulationSemantics()`
`java.lang.String` | `getReformulationSemanticsString()`
`java.lang.String` | `getReformulator()` Return the reformulator name
`boolean` | `getTypeCheckingState()` Return the optimisation state
`void` | `printConfiguration()`
`void` | `setAnnotator(java.lang.String className)`
`void` | `setCacheStatus(boolean value)`
`void` | `setDisjointIDs(boolean value)`
`void` | `setEvaluator(java.lang.String className)`
`void` | `setOptimisationState(boolean value)` Set the optimisation state
`void` | `setOptimiser(java.lang.String className)`
`QualityIndicator` | `setQualityIndicator(QualityIndicator qi)`
`void` | `setQueryEvaluationConfig(QueryEvaluationConfiguration qec)`
`void` | `setQueryLanguage(int queryLanguage)` Return the query language
`void` | `setRangeSemantics(int rangeSemantics)` Set range semantics, i.e.
`void` | `setReformulationSemantics(int refSemantics)`
`void` | `setReformulator(java.lang.String className)`
`void` | `setTypeCheckingState(boolean value)` Set the optimisation state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REFORMULATION_BAV

    public static final int REFORMULATION_BAV

See Also:
  Constant Field Values

### REFORMULATION_GAV

    public static final int REFORMULATION_GAV

See Also:
  Constant Field Values

### REFORMULATION_LAV_INV_RULES

    public static final int REFORMULATION_LAV_INV_RULES

See Also:
  Constant Field Values

### QUERY_LANGUAGE_IQL

    public static final int QUERY_LANGUAGE_IQL

See Also:
  Constant Field Values

### QUERY_LANGUAGE_XQUERY

    public static final int QUERY_LANGUAGE_XQUERY

See Also:
  Constant Field Values

### RANGE_BOTH

    public static final int RANGE_BOTH

See Also:
  Constant Field Values

### RANGE_LOWER

    public static final int RANGE_LOWER

See Also:
  Constant Field Values

### RANGE_UPPER

    public static final int RANGE_UPPER

See Also:
  Constant Field Values

Constructor Detail

### QueryProcessorConfiguration

    public QueryProcessorConfiguration()

  Creates a new instance of QueryProcessingConfiguration

Method Detail

### getReformulator

    public java.lang.String getReformulator()

  Return the reformulator name

### getOptimiser

    public java.lang.String getOptimiser()

  Return the logical optimiser name

### getAnnotator

    public java.lang.String getAnnotator()

  Return the logical optimiser name

### getEvaluator

    public java.lang.String getEvaluator()

  Return evaluator name

### setReformulator

    public void setReformulator(java.lang.String className)

### setOptimiser

    public void setOptimiser(java.lang.String className)

### setAnnotator

    public void setAnnotator(java.lang.String className)

### setEvaluator

    public void setEvaluator(java.lang.String className)

### getQueryLanguageString

    public java.lang.String getQueryLanguageString()

### getQueryLanguage

    public int getQueryLanguage()

  Return the query language

### setQueryLanguage

    public void setQueryLanguage(int queryLanguage)

  Return the query language

### getReformulationSemanticsString

    public java.lang.String getReformulationSemanticsString()

### getReformulationSemantics

    public int getReformulationSemantics()

### setReformulationSemantics

    public void setReformulationSemantics(int refSemantics)

### getRangeSemanticsString

    public java.lang.String getRangeSemanticsString()

### getRangeSemanticsString

    public static java.lang.String getRangeSemanticsString(int rangeSemantics)

### getRangeSemantics

    public int getRangeSemantics()

  Get range semantics, i.e. whether only lower bound queries, only upper bound queries or both queries are used.

### setRangeSemantics

    public void setRangeSemantics(int rangeSemantics)

  Set range semantics, i.e. whether to use only lower bound queries, only upper bound queries or both.

### getOptimisationState

    public boolean getOptimisationState()

  Return the optimisation state

### setOptimisationState

    public void setOptimisationState(boolean value)

  Set the optimisation state

### getTypeCheckingState

    public boolean getTypeCheckingState()

  Return the optimisation state

### setTypeCheckingState

    public void setTypeCheckingState(boolean value)

  Set the optimisation state

### getFunctionTable

    public FunctionTable getFunctionTable()

### getFunctionTableString

    public java.lang.String getFunctionTableString()

### addFunctionTable

    public void addFunctionTable(FunctionTable ft)

  Adds the input function table to the existing function table contained by this object (every QueryProcessorConfiguration object is instantiated with `StandardFunctionTable`)

### addFunctionTable

    public void addFunctionTable(FunctionTable[] fts)

  Adds the input function tables to the existing function table contained by this object (every QueryProcessorConfiguration object is instantiated with `StandardFunctionTable`)

### setCacheStatus

    public void setCacheStatus(boolean value)

### getCacheStatus

    public boolean getCacheStatus()

### setDisjointIDs

    public void setDisjointIDs(boolean value)

### getDisjointIDs

    public boolean getDisjointIDs()

### setQueryEvaluationConfig

    public void setQueryEvaluationConfig(QueryEvaluationConfiguration qec)

### getQueryEvaluationConfig

    public QueryEvaluationConfiguration getQueryEvaluationConfig()

### getQualityIndicator

    public QualityIndicator getQualityIndicator()

### setQualityIndicator

    public QualityIndicator setQualityIndicator(QualityIndicator qi)

### printConfiguration

    public void printConfiguration()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD